/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

// @ts-check

/** @type {import('@docusaurus/plugin-content-docs').SidebarsConfig} */
const sidebars = {
  // By default, Docusaurus generates a sidebar from the docs folder structure
  // tutorialSidebar: [{type: 'autogenerated', dirName: '.'}],

  // But you can create a sidebar manually
  tutorialSidebar: [
    "overview",
    {
      type: "category",
      label: "Getting Started",
      items: ["getting-started/installation", "getting-started/usage"],
    },
    "migration",
    "faq",
    {
      type: "category",
      label: "API",
      items: ["api/ffmpeg/index", "api/util/index"],
    },
    {
      type: "category",
      label: "Contribution",
      items: ["contribution/core", "contribution/ffmpeg", "contribution/util"],
    },
  ],
};

module.exports = sidebars;
